from lib.db_log import DBLog
from util import random_chars

CURRENCY_NAME = "₭ollar"
MRO_INTERVAL = 3 * 3600 # TODO somewhere expose this to the client, maybe in a tender calendar
MRO_RUNNING_TIME = 6 * 3600  # TODO somewhere expose this to the client, maybe in a tender calendar
CURRENCY_SYMBOL = "₭"
MINIMUM_ORDER_AMOUNT = 1
DEFAULT_ORDER_EXPIRY = 43200
DB_NAME = 'orderer'
COPYRIGHT_INFRINGEMENT_PROBABILITY = 0.05
MIN_INTEREST_INTERVAL = 60  # seconds
ROOT_URL = "/orderer.zip"

logger = DBLog()
OWNABLE_NAME_PATTERN = r'[A-Z-a-z0-9]{1,6}'
BANK_NAME = 'bank'


def random_ownable_name():
    return random_chars(6)